Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041035
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. PlatformminorN/A2019-06-05 17:302019-06-09 06:55
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision19ca9905189b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041035: ImportEntryPreProcessor should be declared as abstract

DescriptionCreating a class that extends the ImportEntryPreProcessor allows to perform pre-processing tasks related with an import entry when it is created before it is stored in the database.

This class should be declared as abstract. This way it will be excluded from the injection points when injecting all the ImportEntryPreProcessor instances.
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041033 closedcaristu ImportEntryPreProcessors with qualifiers are not executed 
related to defect 0041036 closedcaristu API change: ImportEntryPreProcessor should be declared as abstract 

-  Notes
(0112485)
hgbot (developer)
2019-06-06 17:57

Repository: erp/devel/pi
Changeset: 19ca9905189b08f25ac55e99a18c4ab9a612a3dd
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Jun 06 17:56:36 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/19ca9905189b08f25ac55e99a18c4ab9a612a3dd [^]

fixes bug 41035: ImportEntryPreProcessor should be declared as abstract

---
M src/org/openbravo/service/importprocess/ImportEntryPreProcessor.java
---
(0112499)
alostale (developer)
2019-06-07 08:27

reviewed

considering to do it as an interface
(0112517)
hudsonbot (developer)
2019-06-09 06:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0a2806736a4c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-06-05 17:30 caristu New Issue
2019-06-05 17:30 caristu Assigned To => caristu
2019-06-05 17:30 caristu Modules => Core
2019-06-05 17:30 caristu Triggers an Emergency Pack => No
2019-06-05 17:30 caristu Issue generated from 0041033
2019-06-05 17:30 caristu Relationship added related to 0041033
2019-06-05 17:48 caristu Description Updated View Revisions
2019-06-05 17:49 caristu Issue cloned 0041036
2019-06-05 17:49 caristu Relationship added related to 0041036
2019-06-06 17:57 hgbot Checkin
2019-06-06 17:57 hgbot Note Added: 0112485
2019-06-06 17:57 hgbot Status new => resolved
2019-06-06 17:57 hgbot Resolution open => fixed
2019-06-06 17:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/19ca9905189b08f25ac55e99a18c4ab9a612a3dd [^]
2019-06-06 17:58 caristu Review Assigned To => alostale
2019-06-07 08:27 alostale Note Added: 0112499
2019-06-07 08:27 alostale Status resolved => closed
2019-06-07 08:27 alostale Fixed in Version => 3.0PR19Q4
2019-06-09 06:55 hudsonbot Checkin
2019-06-09 06:55 hudsonbot Note Added: 0112517


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker